package user_admin

import (
	"net/http"

	"git.noahlan.cn/noahlan/ntool-biz/zero/statusz"
	"github.com/zeromicro/go-zero/rest/httpx"

	"git.noahlan.cn/n-admin/n-admin-server/api/internal/logic/user_admin"
	"git.noahlan.cn/n-admin/n-admin-server/api/internal/svc"
	"git.noahlan.cn/n-admin/n-admin-server/api/internal/types"
)

// swagger:route get /api/admin/user/list user_admin GetUserListAdmin
//
// Get user list | 获取用户列表
//
// Get user list | 获取用户列表
//
// Responses:
//  200: UserListResp

func GetUserListAdminHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		const transErr = true
		var req types.UserReq
		if err := httpx.Parse(r, &req); err != nil {
			statusz.ResponseHandler(r, w, transErr, nil, err)
			return
		}

		l := user_admin.NewGetUserListAdminLogic(r, r.Context(), svcCtx)
		resp, err := l.GetUserListAdmin(&req)

		statusz.ResponseHandler(r, w, transErr, resp, err)

	}
}
